Index: /trunk/demos/CircleFollower/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 301)
@@ -5,4 +5,5 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -33,9 +34,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+if [ -f /proc/xenomai/version ];then
+	EXEC=./CircleFollower_simulator_rt
+else
+	EXEC=./CircleFollower_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ /trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./CircleFollower_simulator_rt
+else
+	EXEC=./CircleFollower_simulator_nrt
+fi
+
+$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/CircleFollower/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 301)
@@ -8,4 +8,5 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -37,9 +38,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/CircleFollower/uav/resources/armv5te/CircleFollower_minidrones.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/armv5te/CircleFollower_minidrones.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/armv5te/CircleFollower_minidrones.sh	(revision 301)
@@ -0,0 +1,1 @@
+./CircleFollower_nrt -a 192.168.2.2 -p 9000 -l /tmp -x CircleFollower_minidrones.xml -n Drone_0 -t mamboedu
Index: /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_ardrone2.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_ardrone2.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_ardrone2.sh	(revision 301)
@@ -0,0 +1,1 @@
+./CircleFollower_nrt -a 192.168.147.193 -p 9000 -l /tmp -x CircleFollower_ardrone2.xml -n Drone_0 -t ardrone2
Index: /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_bebop.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_bebop.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_bebop.sh	(revision 301)
@@ -0,0 +1,1 @@
+./CircleFollower_nrt -a 192.168.42.24 -p 9000 -l /tmp -x CircleFollower_bebop.xml -n Drone_0 -t bebop
Index: /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_hdsx8.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_hdsx8.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/armv7a-neon/CircleFollower_hdsx8.sh	(revision 301)
@@ -0,0 +1,1 @@
+./CircleFollower_rt -a 192.168.147.217 -p 9000 -l /tmp -x CircleFollower_hdsx8.xml -n x8_0 -t hds_x8
Index: /trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./CircleFollower_rt
+else
+	EXEC=./CircleFollower_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu 
Index: /trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh	(revision 301)
+++ /trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./CircleFollower_rt
+else
+	EXEC=./CircleFollower_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: /trunk/demos/Gps/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/Gps/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/Gps/simulator/CMakeLists.txt	(revision 301)
@@ -5,4 +5,5 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -33,9 +34,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Gps_simulator_rt
+else
+	EXEC=./Gps_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- /trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ /trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Gps_simulator_rt
+else
+	EXEC=./Gps_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/Gps/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/Gps/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/Gps/uav/CMakeLists.txt	(revision 301)
@@ -1,3 +1,3 @@
-PROJECT(DemoGps)
+PROJECT(Gps)
 cmake_minimum_required(VERSION 2.8)
 
@@ -7,4 +7,5 @@
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -37,9 +38,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/Gps/uav/resources/armv7a-neon/Gps_bebop.sh
===================================================================
--- /trunk/demos/Gps/uav/resources/armv7a-neon/Gps_bebop.sh	(revision 301)
+++ /trunk/demos/Gps/uav/resources/armv7a-neon/Gps_bebop.sh	(revision 301)
@@ -0,0 +1,1 @@
+./Gps_nrt -a 192.168.42.24 -p 9000 -l /tmp -x Gps_bebop.xml -n Drone_0 -t bebop
Index: /trunk/demos/Gps/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/Gps/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/Gps/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Gps_rt
+else
+	EXEC=./Gps_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu
Index: /trunk/demos/Gps/uav/resources/core2-64/x8.sh
===================================================================
--- /trunk/demos/Gps/uav/resources/core2-64/x8.sh	(revision 301)
+++ /trunk/demos/Gps/uav/resources/core2-64/x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Gps_rt
+else
+	EXEC=./Gps_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: /trunk/demos/MixedReality/real/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 301)
@@ -5,4 +5,5 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -35,10 +36,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
Index: /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+if [ -f /proc/xenomai/version ];then
+	EXEC=./MixedReality_simulator_real_rt
+else
+	EXEC=./MixedReality_simulator_real_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/MixedReality/real/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 301)
@@ -8,4 +8,5 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -37,9 +38,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_ardrone2.sh
===================================================================
--- /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_ardrone2.sh	(revision 301)
+++ /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_ardrone2.sh	(revision 301)
@@ -0,0 +1,1 @@
+./MixedReality_uav_real_nrt -a 192.168.147.193 -p 9000 -l /tmp -x MixedReality_ardrone2.xml -n Drone_0 -t ardrone2
Index: /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_bebop.sh
===================================================================
--- /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_bebop.sh	(revision 301)
+++ /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_bebop.sh	(revision 301)
@@ -0,0 +1,1 @@
+./MixedReality_uav_real_nrt -a 192.168.42.24 -p 9000 -l /tmp -x MixedReality_bebop.xml -n Drone_0 -t bebop
Index: /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_hdsx8.sh
===================================================================
--- /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_hdsx8.sh	(revision 301)
+++ /trunk/demos/MixedReality/real/uav/resources/armv7a-neon/MixedReality_hdsx8.sh	(revision 301)
@@ -0,0 +1,1 @@
+./MixedReality_uav_real_rt -a 192.168.147.217 -p 9000 -l /tmp -x MixedReality_hdsx8.xml -n x8_0 -t hds_x8
Index: /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./MixedReality_uav_real_rt
+else
+	EXEC=./MixedReality_uav_real_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
Index: /trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 301)
@@ -6,4 +6,5 @@
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -36,10 +37,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/virtual
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/virtual
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
Index: /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+if [ -f /proc/xenomai/version ];then
+	EXEC=./MixedReality_simulator_virtual_rt
+else
+	EXEC=./MixedReality_simulator_virtual_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml -v 127.0.0.1:3883
Index: /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 301)
@@ -8,7 +8,10 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
 include(${FLAIR_USE_FILE})
+
+if("${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "core2-64")
 
 SET(SRC_FILES
@@ -34,2 +37,20 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+)
+
+else()
+    if(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
+        warn("${PROJECT_NAME} will not be built for ${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE} architecture")
+    else()
+        warn("${PROJECT_NAME} will not be built for ${CMAKE_SYSTEM_PROCESSOR} architecture")
+    endif()
+endif()
Index: /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./MixedReality_uav_virtual_rt
+else
+	EXEC=./MixedReality_uav_virtual_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
Index: /trunk/demos/OpticalFlow/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 301)
@@ -5,5 +5,5 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-#SET(FLAIR_USE_VISION_FILTER TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -38,9 +38,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./OpticalFlow_simulator_rt
+else
+	EXEC=./OpticalFlow_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ /trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./OpticalFlow_simulator_rt
+else
+	EXEC=./OpticalFlow_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/OpticalFlow/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 301)
@@ -10,4 +10,5 @@
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include(${FLAIR_USE_FILE})
@@ -38,10 +39,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
Index: /trunk/demos/OpticalFlow/uav/resources/armv7a-neon/OpticalFlow_ardrone2.sh
===================================================================
--- /trunk/demos/OpticalFlow/uav/resources/armv7a-neon/OpticalFlow_ardrone2.sh	(revision 301)
+++ /trunk/demos/OpticalFlow/uav/resources/armv7a-neon/OpticalFlow_ardrone2.sh	(revision 301)
@@ -0,0 +1,1 @@
+./OpticalFlow_nrt -a 192.168.147.217 -p 9000 -l /tmp -x OpticalFlow_ardrone2.xml -n Drone_0 -t ardrone2 -v ./dspcv_dsp.out
Index: /trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./OpticalFlow_rt
+else
+	EXEC=./OpticalFlow_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu -v dsp_stub
Index: /trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh
===================================================================
--- /trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh	(revision 301)
+++ /trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./OpticalFlow_rt
+else
+	EXEC=./OpticalFlow_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x8.xml -t x8_simu -v dsp_stub
Index: /trunk/demos/PidStandalone/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 301)
@@ -5,7 +5,9 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
 include(${FLAIR_USE_FILE})
+
 
 SET(SRC_FILES
@@ -33,10 +35,10 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
Index: /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./PidStandalone_simulator_rt
+else
+	EXEC=./PidStandalone_simulator_nrt
+fi
+
+. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $IGEP_ROOT/uav_dev/media -s $IGEP_ROOT/uav_dev/media/optitrack_b122.xml
Index: /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ /trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./PidStandalone_simulator_rt
+else
+	EXEC=./PidStandalone_simulator_nrt
+fi
+
+. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+
+$EXEC  -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $IGEP_ROOT/uav_dev/media -s $IGEP_ROOT/uav_dev/media/optitrack_b122.xml
Index: /trunk/demos/PidStandalone/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 301)
@@ -7,4 +7,5 @@
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -36,9 +37,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/PidStandalone/uav/resources/armv7a-neon/demo_pid_ardrone2.sh
===================================================================
--- /trunk/demos/PidStandalone/uav/resources/armv7a-neon/demo_pid_ardrone2.sh	(revision 301)
+++ /trunk/demos/PidStandalone/uav/resources/armv7a-neon/demo_pid_ardrone2.sh	(revision 301)
@@ -0,0 +1,1 @@
+./PidStandalone_nrt -a 192.168.147.192 -p 9000 -l /tmp -x reglages_ardrone2.xml -n Drone_0 -t ardrone2
Index: /trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh	(revision 301)
+++ /trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+if [ -f /proc/xenomai/version ];then
+	EXEC=./PidStandalone_rt
+else
+	EXEC=./PidStandalone_nrt
+fi
+
+. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+
+$EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x4.xml -t x4_simu $*
Index: /trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh
===================================================================
--- /trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh	(revision 301)
+++ /trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./PidStandalone_rt
+else
+	EXEC=./PidStandalone_nrt
+fi
+
+. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: /trunk/demos/SimpleFleet/simulator/CMakeLists.txt
===================================================================
--- /trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 300)
+++ /trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 301)
@@ -5,4 +5,5 @@
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -33,9 +34,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- /trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ /trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./SimpleFleet_simulator_rt
+else
+	EXEC=./SimpleFleet_simulator_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
Index: /trunk/demos/SimpleFleet/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 300)
+++ /trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 301)
@@ -8,4 +8,5 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
@@ -37,9 +38,9 @@
 INSTALL(
 	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: /trunk/demos/SimpleFleet/uav/resources/armv7a-neon/SimpleFleet.sh
===================================================================
--- /trunk/demos/SimpleFleet/uav/resources/armv7a-neon/SimpleFleet.sh	(revision 301)
+++ /trunk/demos/SimpleFleet/uav/resources/armv7a-neon/SimpleFleet.sh	(revision 301)
@@ -0,0 +1,1 @@
+./SimpleFleet_nrt -a 192.168.147.193 -p 9000 -l /tmp -x SimpleFleet_ardrone2.xml -n Drone_0 -t ardrone2 -b 192.168.147.255
Index: /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh
===================================================================
--- /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh	(revision 301)
+++ /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./SimpleFleet_rt
+else
+	EXEC=./SimpleFleet_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu0 -b 127.255.255.255:20010
